notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
retext Markdown editor
7.0.4 textproc on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port 7.0.4Version of this port present on the latest quarterly branch.
Maintainer: arved@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2018-07-24 20:32:00
Last Update: 2019-06-27 19:55:24
SVN Revision: 505216
License: GPLv2
Description:
SVNWeb : Homepage
pkg-plist: as obtained via: make generate-plist
Expand this list (4 items)
  1. @desktop-file-utils
  2. /usr/local/share/licenses/retext-7.0.4/catalog.mk
  3. /usr/local/share/licenses/retext-7.0.4/LICENSE
  4. /usr/local/share/licenses/retext-7.0.4/GPLv2
Collapse this list.
Dependency lines:
  • retext>0:textproc/retext
To install the port: cd /usr/ports/textproc/retext/ && make install clean
To add the package: pkg install retext
PKGNAME: retext
Flavors: there is no flavor information for this port.
distinfo:

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. py36-setuptools>0 : devel/py-setuptools@py36
  2. python3.6 : lang/python36
  3. update-desktop-database : devel/desktop-file-utils
  4. lrelease : devel/qt5-linguisttools
Runtime dependencies:
  1. py36-markdown>=2.0.3 : textproc/py-markdown@py36
  2. py36-Markups>=3.0.0 : textproc/py-markups@py36
  3. py36-markdown-math>=0.6 : textproc/py-markdown-math@py36
  4. py36-pygments>=0 : textproc/py-pygments@py36
  5. py36-docutils>=0 : textproc/py-docutils@py36
  6. py36-setuptools>0 : devel/py-setuptools@py36
  7. python3.6 : lang/python36
  8. update-desktop-database : devel/desktop-file-utils
  9. py36-qt5-core>=5.12.2 : devel/py-qt5-core@py36
  10. py36-qt5-gui>=5.12.2 : x11-toolkits/py-qt5-gui@py36
  11. py36-qt5-network>=5.12.2 : net/py-qt5-network@py36
  12. py36-qt5-printsupport>=5.12.2 : print/py-qt5-printsupport@py36
  13. py36-sip>=4.19.17 : devel/py-sip@py36
  14. py36-qt5-widgets>=5.12.2 : x11-toolkits/py-qt5-widgets@py36
There are no ports dependent upon this port

Configuration Options

USES:

Master Sites:
  1. https://codeload.github.com/retext-project/retext/tar.gz/7.0.4?dummy=/

Number of commits found: 9

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
27 Jun 2019 18:55:24
Original commit files touched by this commit  7.0.4
Revision:505216
arved search for other commits by this committer
Update to 7.0.4
11 Feb 2019 21:14:32
Original commit files touched by this commit  7.0.0.130
Revision:492737
arved search for other commits by this committer
Update to a snapshot from master.

This should fix the wrong desktop file entry.

Add missing dependencies while here

PR:		235112
Reported by:	0mp
Obtained from:	https://github.com/retext-project/retext/issues/425
16 Jan 2019 11:13:45
Original commit files touched by this commit  7.0.0_3
Revision:490472
tijl search for other commits by this committer
Fix Qt5 symbol version scripts to put the catch-all clause first.  When
a symbol matches multiple clauses the last one takes precedence.  If the
catch-all is last it captures everything.  In the case of Qt5 libraries
this caused all symbols to have a Qt_5 label while some should have
Qt_5_PRIVATE_API.  This only affects lld because GNU ld always gives the
catch-all lowest priority.

Older versions of Qt5Webengine exported some memory allocation symbols from
the bundled Chromium.  Version 5.9 stopped exporting these [1] but the
symbols were kept as weak wrappers for the standard allocation functions to
maintain binary compatibility. [2][3]  The problem is that the call to the
standard function in these weak wrappers is only resolved to the standard
function if there's a call to this standard function in other parts of
Qt5Webengine, because only then is there a non-weak symbol that takes
precedence over the weak one.  If there's no such non-weak symbol the call
(Only the first 15 lines of the commit message are shown above View all of this commit message)
17 Dec 2018 10:04:16
Original commit files touched by this commit  7.0.0_2
Revision:487671
yuri search for other commits by this committer
textproc/retext: Fix broken translations; Fix autoplist

1. My previous commit r487632 deleted the empty directory. But
it turned out that translation files are supposed to be there.
With the help of the upstream, I fixed the translations. As it
turned out, USES=qt:5 is needed, and lrelease should be made available
to setup.py. The added patch makes setup.py to find lrelease,
this was broken upstream.

2. autoplist was not used because it was broken due to the file name
mismatch. PYDISTUTILS_INSTALLARGS=--no-rename is a workaround,
permanent fix will be added by the upstream later.

3. Add NO_ARCH=yes.

Approved by:	portmgr (unbreak)
16 Dec 2018 21:35:56
Original commit files touched by this commit  7.0.0_1
Revision:487632
yuri search for other commits by this committer
textproc/retext: Unbreak by deleting the empty directory that was breaking the
plist

Approved by:	portmgr (unbreak)
08 Dec 2018 12:23:18
Original commit files touched by this commit  7.0.0_1
Revision:486941
antoine search for other commits by this committer
Fix plist
22 Nov 2018 20:18:37
Original commit files touched by this commit  7.0.0_1
Revision:485614
tcberner search for other commits by this committer
pyqt: Change install directories for Python flavor support

* PyQt could not be installed for multiple Python versions at
  the same time, as there were conflicting files.

  This patch creates Python-version versioned directories for
  all these, and further installs binaries with a version number.

* Note, there might be some hickups for software that depends on
  on of the .so's provided by PyQt5, which might not be found
  anymore autmotically, and maybe need some LD-flaggery.

* Update PyQt5 to 5.10.1

* Mark www/py-qt5-webengine broken. It is unforuntately no longer
  compatible with the old qt5-webengine-5.9.4 we ship.

PR:		232745
Exp-run by:	antoine
Differential Revision:	https://reviews.freebsd.org/D8714
17 Nov 2018 20:29:34
Original commit files touched by this commit  7.0.0
Revision:485193
arved search for other commits by this committer
Add noflavors

Reported by:	tcberner
24 Jul 2018 20:31:49
Original commit files touched by this commit  7.0.0
Revision:475277
arved search for other commits by this committer
Add retext, a simple Markdown editor

Number of commits found: 9

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
h2oAug 25
h2o-develAug 25
giteaAug 22
clamavAug 21
clamav-milterAug 21
nodeAug 21
node10Aug 21
node8Aug 21
vlcAug 20
nsdAug 19
libgit2Aug 18
xdmAug 18
apache24Aug 17
userminAug 17
webminAug 17

18 vulnerabilities affecting 94 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2019-08-25 19:37:17


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 37382
Broken 453
Deprecated 165
Ignore 711
Forbidden 3
Restricted 162
No CDROM 74
Vulnerable 32
Expired 8
Set to expire 135
Interactive 0
new 24 hours 40
new 48 hours47
new 7 days86
new fortnight118
new month190

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2019 Dan Langille. All rights reserved.